Subject: Re: [PATCH] Tidy up some rev-list-related stuff

From: Jon Seymour <[email-masked]>
Date: Thu, 9 Jun 2005 11:06:46 +1000

On 6/9/05, Petr Baudis <[email-masked]> wrote:
> This patch tidies up the git-rev-list documentation and epoch.c, which
> are in severe clash with the unwritten coding style now, and quite
> unreadable.
> 
> The patch mostly wraps lines before or on the 80th column, removes
> plenty of superfluous empty lines and changes comments from // to /* */.
> 
> Signed-off-by: Petr Baudis <[email-masked]>
> 
> ---
> 
> Jon, since this is your stuff, could you ack the patch, please?
> Thanks.
> 
> I'm sorry to send patches like this, but I think the files are really
> ugly as of now, and not very readable. This should be a definite
> improvement in this regard, I hope.
> 

Ack'd and tested.

Hey, no problem. I'll never learn unless someone corrects me. It does
make my next patch slightly tedious since I'll have to manually
reapply it, but hey, I am the new kid on the block, so kick dirt in my
face :-)

>>From your patch I infer the following coding style rules:

Lines to wrap at column 80
One statement blocks should not include braces
Comment blocks should always be /* */ rather than //
Declarations should always be up the top of a block - never close to first use
No whitespace at top and bottom of blocks.
All indentation should use tabs and only tabs, set at tab stops of 8 apart.

Question: is // ever allowed?

Presumably, when in doubt should I use the kernel's CodingStyle
document as the default reference.

Speaking of which, I can't emacs to indent properly even when I use
this suggestion from that document:

    (defun linux-c-mode ()
      "C mode with adjusted defaults for use with the Linux kernel."
      (interactive)
      (c-mode)
      (c-set-style "K&R")
      (setq tab-width 8)
      (setq indent-tabs-mode t)
      (setq c-basic-offset 8))

    This will define the M-x linux-c-mode command.  When hacking on a
    module, if you put the string -*- linux-c -*- somewhere on the first
    two lines, this mode will be automatically invoked. Also, you may want
    to add

    (setq auto-mode-alist (cons '("/home/jon/.*/.*\\.[ch]$" . linux-c-mode)
                            auto-mode-alist))

It doesn't work when I execute linux-c-mode from the emacs command line either.

Any ideas at all what I am doing wrong? [ Apart from the ever so
constructive suggestion to use vi or vim - please! ]

jon.